#import "../../Fragments/System.graphql"
#import "../../Fragments/Blocks/CardsGrid.graphql"
#import "../../Fragments/Blocks/FullWidthCampaign.graphql"
#import "../../Fragments/Blocks/CarouselCards.graphql"
#import "../../Fragments/Blocks/JoinScandicFriends.graphql"

query GetStartPage($locale: String!, $uid: String!) {
  start_page(locale: $locale, uid: $uid) {
    title
    url
    header {
      heading
      hero_image
    }
    blocks {
      __typename
      ...CardsGrid_StartPage
      ...CarouselCards_StartPage
      ... on StartPageBlocksFullWidthCampaign {
        __typename
        full_width_campaign {
          full_width_campaignConnection {
            edges {
              node {
                ...FullWidthCampaign
              }
            }
          }
        }
      }
      ...JoinScandicFriends_StartPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
  trackingProps: start_page(locale: "en", uid: $uid) {
    url
  }
}

query GetStartPageRefs($locale: String!, $uid: String!) {
  start_page(locale: $locale, uid: $uid) {
    blocks {
      __typename
      ...CardsGrid_StartPageRefs
      ...CarouselCards_StartPageRefs
      ... on StartPageBlocksFullWidthCampaign {
        full_width_campaign {
          full_width_campaignConnection {
            edges {
              node {
                ...FullWidthCampaignRefs
              }
            }
          }
        }
      }
      ...JoinScandicFriends_StartPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsStartPage($uid: String!) {
  de: start_page(locale: "de", uid: $uid) {
    url
  }
  en: start_page(locale: "en", uid: $uid) {
    url
  }
  da: start_page(locale: "da", uid: $uid) {
    url
  }
}
query GetFiNoSvUrlsStartPage($uid: String!) {
  fi: start_page(locale: "fi", uid: $uid) {
    url
  }
  no: start_page(locale: "no", uid: $uid) {
    url
  }
  sv: start_page(locale: "sv", uid: $uid) {
    url
  }
}
